Create Dispute
Creates a dispute in Chargeflow that can either be viewed through the Chargeflow platform or managed by Chargeflow.
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
application/json
The id of the dispute in your payment processor.
length <= 10000ISO 8601 timestamp - when the charge was disputed.
date-timeISO 8601 timestamp - when dispute evidence needs to be disputed by.
date-timeThe id of the disputed charge in your payment processor.
length <= 10000The id of the transaction in your payment processor.
length <= 128The date and time when the transaction was created, in ISO 8601 format
date-timeThe bank provided reason for the dispute.
Value in
The amount of the disputed charge. Amounts are in cents (or other minor currency unit.)
0 <= valueThe currency code of the disputed charge. e.g. 'USD'.
length <= 10The payment processor for the charge.
length <= 128application/json
curl -X POST "https://example.com/public/2024-03-18/disputes" \ -H "Content-Type: application/json" \ -d '{ "disputeId": "dp_1MykdxFtDWhhyHE1BFAV3osZ", "creationDate": "2022-01-01T00:00:00Z", "due_by": "2022-01-01T00:00:00Z", "disputeAmount": 100, "currency": "USD", "processor": "Stripe, Shopify, Braintree etc.", "isChargeRefundable": true, "handleByChargeflow": true }'{ "requestId": "string"}